{ pkgs ? import <nixpkgs> {} }:

with pkgs.stdenv.lib;

let

  name = "pure-css";
  version = "v2.0.6";

  # pull in the code for building npm packages
  nodePackages = import ./npm-packages.nix {
    inherit pkgs;
    inherit (pkgs) stdenv nodejs fetchurl fetchgit;
    neededNatives = [ pkgs.python ] ++ pkgs.lib.optional
pkgs.stdenv.isLinux pkgs.utillinux;
    self = nodePackages;
  };

  buildModules = [
     nodePackages."bower"
     nodePackages."grunt"
     nodePackages."grunt-cli"
     nodePackages."grunt-contrib-cssmin"
     nodePackages."grunt-contrib-clean"
     nodePackages."grunt-contrib-copy"
     nodePackages."grunt-contrib-concat"
     nodePackages."grunt-contrib-compress"
     nodePackages."grunt-contrib-csslint"
     nodePackages."grunt-contrib-watch"
     nodePackages."grunt-css-selectors"
     nodePackages."grunt-pure-grids"
     nodePackages."grunt-stripmq"
  ];

in pkgs.stdenv.mkDerivation {

  name = "${name}-${version}";

  src = pkgs.fetchgit {
    url = https://github.com/pure-css/pure;
    rev = "refs/tags/v2.0.6";
    sha256 =
"049ac2ef812771852978d11cd5aecac2dd561e97bb16ad89c79eb1e10aa57672";
  };

  buildInputs = buildModules;

  buildCommand = ''
    cp -r $src src
    chmod +w src
    cd src
    grunt
  '';

}
