module Formats.Posts where

import Hakyll
import Util.Hakyll.Routes
import Data.Maybe (fromMaybe)
import Util.Hash (FileHashes)
import Debug.Trace

postRoute :: FileHashes -> Routes
postRoute hashes = titleRouteElseHash `composeRoutes` prefixRoute "posts/"
  where
    titleRouteElseHash :: Routes
    titleRouteElseHash = metadataRoute $ \metadata -> fromMaybe (hashRoute hashes) $ titleRoute metadata
